"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@schematics/angular/utility/test");
const util_1 = require("util");
__export(require("./serverless"));
__export(require("./googleAnalytics"));
__export(require("./firebug"));
function createGitIgnore(dirName) {
    return (tree => {
        createOrOverwriteFile(tree, `./${dirName}/.gitignore`, `/node_modules/
/dist/
/lib/
/yarn.lock
*.log
.idea
.serverless
*.iml
*.js.map
*.d.ts
.DS_Store
dll
.awcache
/src/styles/main.css
/firebug-lite
firebug-lite.tar.tgz
serverless.yml
/coverage`);
        return tree;
    });
}
exports.createGitIgnore = createGitIgnore;
function createOrOverwriteFile(tree, filePath, fileContent) {
    if (!tree.exists(filePath)) {
        tree.create(filePath, '');
    }
    tree.overwrite(filePath, fileContent);
}
exports.createOrOverwriteFile = createOrOverwriteFile;
function addDependencyToPackageJson(options, name, version, dev = false) {
    return tree => {
        const packageJsonSource = JSON.parse(test_1.getFileContent(tree, `${options.directory}/package.json`));
        if (!dev) {
            packageJsonSource.dependencies[name] = version;
        }
        if (dev) {
            packageJsonSource.devDependencies[name] = version;
        }
        tree.overwrite(`${options.directory}/package.json`, JSON.stringify(packageJsonSource, null, "  "));
        return tree;
    };
}
exports.addDependencyToPackageJson = addDependencyToPackageJson;
function addEntryToEnvironment(tree, filePath, entryName, entryValue) {
    const sourceText = test_1.getFileContent(tree, filePath);
    const changePos = sourceText.lastIndexOf("};") - 1;
    const changeRecorder = tree.beginUpdate(filePath);
    if (util_1.isString(entryValue)) {
        changeRecorder.insertLeft(changePos, `,\n\t${entryName}: '${entryValue}'`);
    }
    else {
        changeRecorder.insertLeft(changePos, `,\n\t${entryName}: ${entryValue}`);
    }
    tree.commitUpdate(changeRecorder);
}
exports.addEntryToEnvironment = addEntryToEnvironment;
function addImportStatement(tree, filePath, importLine) {
    const changeRecorder = tree.beginUpdate(filePath);
    changeRecorder.insertLeft(0, importLine + '\n');
    tree.commitUpdate(changeRecorder);
}
exports.addImportStatement = addImportStatement;
//# sourceMappingURL=index.js.map